Subject: Aluminum cleaner?

From: [email-masked] (john)
Date: Fri, 20 Sep 96 12:09:50 GMT

I have a machine shop where we cut mostly aluminum. Normally, when parts are 
finished we rinse them off with clean coolant and send them out for whatever 
plating they need.
The other day, I was finishing up some parts for a prototype and my customer 
didn't have time to wait for them to be plated. Obviously I couldn't deliver 
them covered in coolant, so I rinsed them off and blew them dry. I little 
while later I noticed the surfaces were beginning to turn a slight gold color,
especially in the bottoms of the pocket corners. 
I tried dunking them in ALumi-prep aluminum cleaner. This removed the 
oxidation, but as soon as they sat in the open air for a few minutes the began 
oxidizing again. 

Anyone have any suggestions on how to remove shop oils without this problem?
(by the way, the alloy is 7075. I've never seen this problem with 6061 or 
2024)